%define anolis_release 2
%bcond_without check

%global modname pynacl

Name:           python-pynacl
Version:        1.5.0
Release:        %{anolis_release}%{?dist}
Summary:        Python binding to the Networking and Cryptography (NaCl) library

License:        ASL 2.0
URL:            https://github.com/pyca/pynacl
Source0:        https://github.com/pyca/pynacl/archive/refs/tags/%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libsodium-devel

%global _description \
PyNaCl is a Python binding to the Networking and Cryptography library,\
a crypto library with the stated goal of improving usability, security\
and speed.

%description %{_description}

%package -n python3-%{modname}
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-%{modname} %{_description}

Python 3 version.

%prep
%autosetup -p1 -n %{modname}-%{version}
# Remove bundled libsodium, to be sure
rm -vrf src/libsodium/

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x tests}

%build
export SODIUM_INSTALL=system
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nacl

%if %{with check}
%check
%pytest
%else
%pyproject_check_import
%endif

%files -n python3-%{modname} -f %{pyproject_files}
%doc README.rst

%changelog
* Mon Mar 25 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.5.0-2
- Rebuild with python3.11

* Wed Dec 20 2023 Funda Wang <fundawang@yeah.net> - 1.5.0-1
- New version 1.5.0

* Tue Jun 20 2023 mabofu <dev16302@linx-info.com> - 1.4.0-1
- Init package from upstream
